Subject: Re: bug#72272: [PATCH] dired-hide-details-mode hides directory's absolute path

From: Alvaro Ramirez <[email-masked]>
Date: Wed, 9 Oct 2024 18:31:35 +0100

Hi Eli / Stefan

With the latest patch disabling the feature by default, is it good to apply?

Cheers,

Alvaro 

> 
> On 3 Oct 2024, at 18:37, Alvaro Ramirez <[email-masked]> wrote:
> 
> 
>>> On 3 Oct 2024, at 15:57, Visuwesh <[email-masked]> wrote:
>>> 
>>> [புதன் அக்டோபர் 02, 2024] Stefan Kangas wrote:
>>> 
>>> Alvaro Ramirez <[email-masked]> writes:
>>> 
>>>> Included a with/without sample in the NEWS for clarity.
>>> 
>>> Thanks.
>>> 
>>>> Any chance we can consider on by default? If folks aren't enabling
>>>> dired-hide-details-mode, then this feature is technically already
>>>> off by default. I'm thinking for those who do use
>>>> dired-hide-details-mode, there's possibly a likelihood they may
>>>> want to hide this detail also.
>>> 
>>> I always use `dired-hide-details-mode', and I definitely would _not_
>>> want this feature on.  It doesn't help and makes Dired much less useful
>>> for me.  That's only one data point, of course.
>> 
>> If the full filename is hidden, then one cannot easily go to the parent
>> directory by clicking on the filename component.  This is a rather
>> useful feature when one is already using the mouse.
> 
> Neat. TIL about this mouse flow. Thanks! I typically C-x C-f to visit parents.
> 
>> To add on to your data point, I have many similarly named directories in
>> different parents.  Just looking at the uniquifier inside the <> of the
>> buffer's name does not help since I cannot immediately recognise the
>> parent directory from it.
> 
> Your use cases are safe. The feature is setting-guarded, and now off by default. In the event you do enable it, toggling dired-hide-details-mode via “(“ binding can quickly expose the current location’s absolute path.
> 
>>> But given that we're usually pretty conservative with changing the
>>> defaults, I recommend adding this as an optional feature at first.
>>> If it picks up in popularity, we could always reconsider later.